// priority: 0

ServerEvents.recipes((event) => {
	//copycat iron door
	removeRecipeByOutput(event, [
		PET("emerald_sword"),
		PET("emerald_shovel"),
		PET("emerald_axe"),
		PET("emerald_pickaxe"),
		PET("emerald_hoe"),
		PET("emerald_armor_helmet"),
		PET("emerald_armor_chestplate"),
		PET("emerald_armor_leggings"),
		PET("emerald_armor_boots"),
		PET("pure_emerald"),
		PET("pure_emerald_block"),
	])
	
	event.replaceInput({ output: PET("pure_emerald_shovel") }, PET("pure_emerald"), F("#gems/emerald"))
	event.replaceInput({ output: PET("pure_emerald_hoe") }, PET("pure_emerald"), F("#gems/emerald"))
	event.replaceInput({ output: PET("pure_emerald_axe") }, PET("pure_emerald"), F("#gems/emerald"))
	event.replaceInput({ output: PET("pure_emerald_pickaxe") }, PET("pure_emerald"), F("#gems/emerald"))
	event.replaceInput({ output: PET("pure_emerald_sword") }, PET("pure_emerald"), F("#gems/emerald"))
	
	toolTypes.forEach(tool => {
		removeRecipeByID(event, [
			PET(`emerald_netherite_${tool}_smith`)
		])
		event.smithing(PET(`emerald_netherite_${tool}`), MC(`netherite_${tool}`), CP("emerald_1"))
	})
	
	armorPieces.vanilla.forEach(piece => {
		removeRecipeByID(event, [
			PET(`emerald_netherite_${piece}_smith`)
		])
		event.smithing(PET(`emerald_netherite_armor_${piece}`), MC(`netherite_${piece}`), CP("emerald_1"))
	})
})
